### Method

# Gtk.FileChooser.set_choice

#### Declaration [src]

    void
    gtk_file_chooser_set_choice (
      GtkFileChooser* chooser,
      const char* id,
      const char* option
    )

#### Description [src]

Selects an option in a ‘choice’ that has been added with `gtk_file_chooser_add_choice()`.

For a boolean choice, the possible options are “true” and “false”.

#### Parameters

`id` | `const char*`
| the ID of the choice to set
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`option` | `const char*`
| the ID of the option to select
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string